LibreOffice LibreOffice 4.3 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Functions
current_context.h File Reference
`#include <cppu/cppudllapi.h>`
`#include <rtl/ustring.h>`

Go to the source code of this file.

## Functions
CPPU_DLLPUBLIC sal_Bool | uno_getCurrentContext (void **ppCurrentContext, rtl_uString *pEnvDcp, void *pEnvContext) SAL_THROW_EXTERN_C()
| Gets the current task's context. More...
CPPU_DLLPUBLIC sal_Bool | uno_setCurrentContext (void *pCurrentContext, rtl_uString *pEnvDcp, void *pEnvContext) SAL_THROW_EXTERN_C()
| Sets the current task's context. More...

## Function Documentation

CPPU_DLLPUBLIC sal_Bool uno_getCurrentContext | ( | void ** | ppCurrentContext,
|  | rtl_uString * | pEnvDcp,
|  | void * | pEnvContext
| ) |  |

Gets the current task's context.

Attention
  Don't spread the returned interface around to other threads. Every thread has its own current context.

Parameters

  ppCurrentContext | inout param current context of type com.sun.star.uno.XCurrentContext
  pEnvDcp | descriptor of returned interface's environment
  pEnvContext | context of returned interface's environment (commonly 0)

Returns
  true, if context ref was transferred (even if null ref)

CPPU_DLLPUBLIC sal_Bool uno_setCurrentContext | ( | void * | pCurrentContext,
|  | rtl_uString * | pEnvDcp,
|  | void * | pEnvContext
| ) |  |

Sets the current task's context.

Parameters

  pCurrentContext | in param current context of type com.sun.star.uno.XCurrentContext
  pEnvDcp | descriptor of interface's environment
  pEnvContext | context of interface's environment (commonly 0)

Returns
  true, if context ref was transferred (even if null ref)